import { Dispute } from '@bringg/types';
import Entity from '../../Core/Entity';
import Session from '../../Services/Identity/Session';
import { AggregatedByDaysResponseItem, AggregatedResponseItem, FleetOption, GetAggregatedTasksRequest, GetDateDependentFiltersPayload, GetDateDependentFiltersRequest, GetDisputesByTaskIdsPayload, GetReportPayload, GetRequestPayload, Option, Order, PostDisputePayload, RefundsResponseItem } from '../Billing.consts';
export default class BillingEntity extends Entity<BillingEntity> {
    constructor(session: Session);
    getAllTasks(queryString: GetRequestPayload): Promise<Order[]>;
    getOrders(payload: GetRequestPayload): Promise<Order[]>;
    getAggregatedTasks(queryString: GetAggregatedTasksRequest): Promise<AggregatedResponseItem[]>;
    getAggregatedTasksV2(payload: GetAggregatedTasksRequest): Promise<AggregatedResponseItem[]>;
    getOrdersReport(payload: GetReportPayload): Promise<string>;
    getRefundsReport(payload: GetReportPayload): Promise<string>;
    getAggregatedByDaysTasksV2(payload: GetAggregatedTasksRequest): Promise<AggregatedByDaysResponseItem[]>;
    getRefunds(payload: GetRequestPayload): Promise<RefundsResponseItem[]>;
    getAllFleets(queryString: GetDateDependentFiltersRequest): Promise<Option[]>;
    getAllFleetsV3(payload: GetDateDependentFiltersPayload): Promise<FleetOption[]>;
    getAllTeams(queryString: GetDateDependentFiltersRequest): Promise<Option[]>;
    getAllTeamsV3(payload: GetDateDependentFiltersPayload): Promise<Option[]>;
    postDispute(payload: PostDisputePayload): Promise<Dispute>;
    getDisputesByTaskIds(payload: GetDisputesByTaskIdsPayload): Promise<Dispute[]>;
}
